package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SelfGlobalRestoreVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class SelfGlobalRestoreVo   {
  @JsonProperty("fileName")
  private String fileName;

  public SelfGlobalRestoreVo fileName(String fileName) {
    this.fileName = fileName;
    return this;
  }

  /**
   * Site backup file name. Parameter [fileName] should be 1 - 128 ASCII characters.
   * @return fileName
  */
  @ApiModelProperty(required = true, value = "Site backup file name. Parameter [fileName] should be 1 - 128 ASCII characters.")
  @NotNull


  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SelfGlobalRestoreVo selfGlobalRestoreVo = (SelfGlobalRestoreVo) o;
    return Objects.equals(this.fileName, selfGlobalRestoreVo.fileName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(fileName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SelfGlobalRestoreVo {\n");
    
    sb.append("    fileName: ").append(toIndentedString(fileName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

